Package org.apache.lucene.backward_codecs.lucene90

# Class Lucene90BoundsChecker.Max

java.lang.Object
org.apache.lucene.backward_codecs.lucene90.Lucene90BoundsChecker
org.apache.lucene.backward_codecs.lucene90.Lucene90BoundsChecker.Max

Enclosing class:
  `Lucene90BoundsChecker`

public static class Lucene90BoundsChecker.Max extends Lucene90BoundsChecker
A helper class for an hnsw graph that serves as a comparator of the currently set maximum value with a new value.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.backward_codecs.lucene90.Lucene90BoundsChecker

  `Lucene90BoundsChecker.Max, Lucene90BoundsChecker.Min`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `check(float sample)`
  Check the sample
  `void`
  `update(float sample)`
  Update the bound if sample is better

  ### Methods inherited from class org.apache.lucene.backward_codecs.lucene90.Lucene90BoundsChecker

  `create, set`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### update

    public void update(float sample)
    Description copied from class: `Lucene90BoundsChecker`
    Update the bound if sample is better
    Specified by:
      `update` in class `Lucene90BoundsChecker`

  - ### check

    public boolean check(float sample)
    Description copied from class: `Lucene90BoundsChecker`
    Check the sample
    Specified by:
      `check` in class `Lucene90BoundsChecker`
    Parameters:
      `sample` - a score
    Returns:
      whether the sample exceeds (is worse than) the bound